from abc import abstractmethod
from collections.abc import Sequence
from typing import Protocol

from template_project.application.vacancy.data_structure import SuitableVacancy


class VacancyDataGateway(Protocol):
    @abstractmethod
    async def get_suitable(self, vector: list[float]) -> Sequence[SuitableVacancy]:
        raise NotImplementedError
